kimlimjustin/xplorer 软件分析报告

基础信息

项目名称:kimlimjustin/xplorer

项目徽章:

Security Status

仓库地址:https://github.com/pterodactyl/panel

检测报告地址:https://www.murphysec.com/console/report/1721339227475050496/1730557750533902336

此报告由Murphysec提供

漏洞列表

漏洞名称 漏洞类型 MPS编号 CVE编号 漏洞等级
glob-parent 拒绝服务 MPS-2021-7827 CVE-2020-28469 高危
http-auth 存在使用捕获-重放进行的认证绕过漏洞 使用捕获-重放进行的认证绕过 MPS-2022-13764 严重
node-semver 安全漏洞 ReDoS MPS-2022-5166 CVE-2022-25883 高危
decode-uri-component 拒绝服务 MPS-2022-56259 CVE-2022-38900 高危
word-wrap 安全漏洞 ReDoS MPS-2023-5109 CVE-2023-26115 高危
tough-cookie 安全漏洞 原型污染 MPS-2023-5130 CVE-2023-26136 严重
Webpack 安全漏洞 MPS-2023-7721 CVE-2023-28154 严重
Tauri 安全漏洞 凭证保护不足 MPS-7saz-15g0 CVE-2023-46115 中危
Babel 插件任意代码执行漏洞漏洞【Poc公开】 不完整的黑名单 MPS-avb9-j50z CVE-2023-45133 严重
tough-cookie 原型污染 MPS-esyq-56vx 中危

缺陷组件

组件名称 版本 最小修复版本 依赖关系 修复建议
word-wrap 1.2.3 1.2.4 间接依赖 建议修复
glob-parent 3.1.0 5.1.2 间接依赖 建议修复
webpack 5.74.0 5.76.0 直接依赖 建议修复
@babel/traverse 7.20.0 7.23.2 间接依赖 建议修复
tough-cookie 4.1.2 4.1.3 间接依赖 建议修复
http-auth 3.1.3 3.2.4 间接依赖 建议修复
decode-uri-component 0.2.0 0.2.1 间接依赖 建议修复
semver 7.3.8 7.5.2 间接依赖 可选修复
@tauri-apps/cli 1.1.1 2.0.0-alpha.16 直接依赖 可选修复
semver 5.7.1 7.5.2 间接依赖 可选修复
semver 6.3.0 7.5.2 间接依赖 可选修复
tslib 1.14.1 间接依赖

许可证风险

许可证类型 相关组件 许可证风险
MIT 665
Apache-2.0 33
BSD-2-Clause 23
ISC 55
BSD-3-Clause 27
BSD 2
Python-2.0 1
CC-BY-4.0 1
自定义许可证 1
0BSD 1

SBOM清单

组件名称 组件版本 是否直接依赖 仓库
accepts 1.3.8 间接依赖 npm
snapdragon 0.8.2 间接依赖 npm
supports-hyperlinks 2.3.0 间接依赖 npm
os-homedir 1.0.2 间接依赖 npm
@tauri-apps/api 1.1.0 直接依赖 npm
bcryptjs 2.4.3 间接依赖 npm
map-cache 0.2.2 间接依赖 npm
cfb 1.2.2 间接依赖 npm
parse-json 5.2.0 间接依赖 npm
webidl-conversions 3.0.1 间接依赖 npm
crc-32 1.2.2 间接依赖 npm
debug 4.3.4 间接依赖 npm
apache-md5 1.1.8 间接依赖 npm
@babel/helper-validator-identifier 7.19.1 间接依赖 npm
@octokit/types 6.41.0 间接依赖 npm
@tauri-apps/cli-linux-x64-musl 1.1.1 直接依赖 npm
define-property 2.0.2 间接依赖 npm
chalk 2.4.2 间接依赖 npm
@typescript-eslint/typescript-estree 5.41.0 间接依赖 npm
pad-component 0.0.1 间接依赖 npm
spdx-expression-parse 3.0.1 间接依赖 npm
jest-circus 27.5.1 间接依赖 npm
@types/istanbul-lib-report 3.0.0 间接依赖 npm
grapheme-splitter 1.0.4 间接依赖 npm
uuid 3.4.0 间接依赖 npm
@jridgewell/resolve-uri 3.1.0 间接依赖 npm
serve-index 1.9.1 间接依赖 npm
chownr 1.1.4 间接依赖 npm
babel-plugin-istanbul 6.1.1 间接依赖 npm
ms 2.0.0 间接依赖 npm
webpack-sources 3.2.3 间接依赖 npm
fresh 0.5.2 间接依赖 npm
yallist 4.0.0 间接依赖 npm
@webassemblyjs/ast 1.11.1 间接依赖 npm
@xtuc/long 4.2.2 间接依赖 npm
for-own 1.0.0 间接依赖 npm
grunt-contrib-watch 1.1.0 直接依赖 npm
w3c-hr-time 1.0.2 间接依赖 npm
abbrev 1.1.1 间接依赖 npm
@xtuc/ieee754 1.2.0 间接依赖 npm
parse-filepath 1.0.2 间接依赖 npm
is-plain-obj 2.1.0 间接依赖 npm
@octokit/openapi-types 12.11.0 间接依赖 npm
envinfo 7.8.1 间接依赖 npm
setimmediate 1.0.5 间接依赖 npm
tmpl 1.0.5 间接依赖 npm
p-finally 1.0.0 间接依赖 npm
@babel/plugin-syntax-numeric-separator 7.10.4 间接依赖 npm
@types/estree 0.0.51 间接依赖 npm
minipass 2.9.0 间接依赖 npm
run-async 2.4.1 间接依赖 npm
aggregate-error 3.1.0 间接依赖 npm
acorn-globals 6.0.0 间接依赖 npm
rechoir 0.7.1 间接依赖 npm
stream-combiner 0.0.4 间接依赖 npm
update-browserslist-db 1.0.10 间接依赖 npm
xml-name-validator 3.0.0 间接依赖 npm
source-map 0.7.4 间接依赖 npm
resolve-cwd 3.0.0 间接依赖 npm
class-utils 0.3.6 间接依赖 npm
etag 1.8.1 间接依赖 npm
browserslist 4.21.4 间接依赖 npm
make-iterator 1.0.1 间接依赖 npm
define-property 1.0.0 间接依赖 npm
data-urls 2.0.0 间接依赖 npm
fast-glob 2.2.7 间接依赖 npm
lie 3.3.0 间接依赖 npm
colors 1.1.2 间接依赖 npm
base64-js 1.5.1 间接依赖 npm
yargs-parser 20.2.9 间接依赖 npm
interpret 1.1.0 间接依赖 npm
@types/estree 1.0.0 间接依赖 npm
semver 7.3.8 间接依赖 npm
collect-v8-coverage 1.0.1 间接依赖 npm
ts-jest 27.1.5 直接依赖 npm
has-flag 4.0.0 间接依赖 npm
type-check 0.4.0 间接依赖 npm
parent-module 1.0.1 间接依赖 npm
ms 2.1.3 间接依赖 npm
glob-parent 5.1.2 间接依赖 npm
@tauri-apps/cli-darwin-x64 1.1.1 直接依赖 npm
is-binary-path 2.1.0 间接依赖 npm
find-up 4.1.0 间接依赖 npm
chrome-trace-event 1.0.3 间接依赖 npm
globals 13.17.0 间接依赖 npm
read-pkg-up 7.0.1 间接依赖 npm
glob 5.0.15 间接依赖 npm
lodash.memoize 4.1.2 间接依赖 npm
domexception 2.0.1 间接依赖 npm
resolve-dir 1.0.1 间接依赖 npm
kind-of 6.0.3 间接依赖 npm
lodash 4.17.21 间接依赖 npm
neo-async 2.6.2 间接依赖 npm
@nodelib/fs.stat 1.1.3 间接依赖 npm
ret 0.1.15 间接依赖 npm
marked 4.1.1 直接依赖 npm
ansi-styles 2.2.1 间接依赖 npm
braces 3.0.2 间接依赖 npm
ansi-regex 3.0.1 间接依赖 npm
@babel/plugin-syntax-nullish-coalescing-operator 7.8.3 间接依赖 npm
get-stdin 4.0.1 间接依赖 npm
date-fns 2.29.3 间接依赖 npm
chokidar 2.1.8 间接依赖 npm
util-deprecate 1.0.2 间接依赖 npm
w3c-xmlserializer 2.0.0 间接依赖 npm
@sinonjs/commons 1.8.3 间接依赖 npm
minimatch 3.0.8 间接依赖 npm
type-fest 0.21.3 间接依赖 npm
rxjs 6.6.7 间接依赖 npm
pause-stream 0.0.11 间接依赖 npm
parse5 6.0.1 间接依赖 npm
uri-path 1.0.0 间接依赖 npm
qs 6.11.0 间接依赖 npm
@octokit/plugin-paginate-rest 2.21.3 间接依赖 npm
babel-preset-current-node-syntax 1.0.1 间接依赖 npm
array-slice 1.1.0 间接依赖 npm
@istanbuljs/load-nyc-config 1.1.0 间接依赖 npm
eslint-visitor-keys 3.3.0 间接依赖 npm
@istanbuljs/schema 0.1.3 间接依赖 npm
path-key 3.1.1 间接依赖 npm
async-each 1.0.3 间接依赖 npm
call-bind 1.0.2 间接依赖 npm
globby 11.1.0 间接依赖 npm
y18n 5.0.8 间接依赖 npm
enhanced-resolve 5.10.0 间接依赖 npm
@babel/helper-validator-option 7.18.6 间接依赖 npm
object.pick 1.3.0 间接依赖 npm
parseurl 1.3.3 间接依赖 npm
bser 2.1.1 间接依赖 npm
safe-regex 1.1.0 间接依赖 npm
flatted 3.2.7 间接依赖 npm
fs.realpath 1.0.0 间接依赖 npm
is-absolute 1.0.0 间接依赖 npm
@jest/environment 27.5.1 间接依赖 npm
get-stream 6.0.1 间接依赖 npm
run-parallel 1.2.0 间接依赖 npm
@types/glob 7.2.0 间接依赖 npm
is-fullwidth-code-point 2.0.0 间接依赖 npm
brace-expansion 1.1.11 间接依赖 npm
type-fest 0.6.0 间接依赖 npm
sisteransi 1.0.5 间接依赖 npm
flagged-respawn 1.0.1 间接依赖 npm
exit-on-epipe 1.0.1 间接依赖 npm
ansi-regex 5.0.1 间接依赖 npm
ansi-styles 3.2.1 间接依赖 npm
fast-json-stable-stringify 2.1.0 间接依赖 npm
escape-string-regexp 1.0.5 间接依赖 npm
grunt-cli 1.4.3 直接依赖 npm
ignore 4.0.6 间接依赖 npm
setprototypeof 1.1.0 间接依赖 npm
read-pkg 5.2.0 间接依赖 npm
jest-config 27.5.1 间接依赖 npm
serialize-javascript 6.0.0 间接依赖 npm
@jridgewell/set-array 1.1.2 间接依赖 npm
pretty-bytes 5.6.0 间接依赖 npm
pascalcase 0.1.1 间接依赖 npm
path-type 3.0.0 间接依赖 npm
@humanwhocodes/config-array 0.11.7 间接依赖 npm
atob 2.1.2 间接依赖 npm
@tauri-apps/cli 1.1.1 直接依赖 npm
bytes 1.0.0 间接依赖 npm
@humanwhocodes/object-schema 1.2.1 间接依赖 npm
array-uniq 1.0.3 间接依赖 npm
@eslint/eslintrc 1.3.3 间接依赖 npm
string_decoder 1.1.1 间接依赖 npm
fastq 1.13.0 间接依赖 npm
merge2 1.4.1 间接依赖 npm
leven 3.1.0 间接依赖 npm
vary 1.1.2 间接依赖 npm
mkdirp 0.5.6 间接依赖 npm
@webassemblyjs/helper-buffer 1.11.1 间接依赖 npm
@typescript-eslint/utils 5.41.0 间接依赖 npm
is-glob 4.0.3 间接依赖 npm
object.defaults 1.1.0 间接依赖 npm
@octokit/plugin-request-log 1.0.4 间接依赖 npm
mime-db 1.52.0 间接依赖 npm
@babel/plugin-syntax-top-level-await 7.14.5 间接依赖 npm
string-width 1.0.2 间接依赖 npm
loader-runner 4.3.0 间接依赖 npm
grunt 1.5.3 直接依赖 npm
esutils 2.0.3 间接依赖 npm
glob-to-regexp 0.3.0 间接依赖 npm
p-event 4.2.0 间接依赖 npm
urix 0.1.0 间接依赖 npm
has 1.0.3 间接依赖 npm
sass 1.45.2 直接依赖 npm
p-limit 2.3.0 间接依赖 npm
jest-changed-files 27.5.1 间接依赖 npm
to-fast-properties 2.0.0 间接依赖 npm
mimic-fn 2.1.0 间接依赖 npm
string-width 4.2.3 间接依赖 npm
emoji-regex 8.0.0 间接依赖 npm
acorn 8.8.1 间接依赖 npm
kind-of 3.2.2 间接依赖 npm
glob-parent 3.1.0 间接依赖 npm
sprintf-js 1.0.3 间接依赖 npm
@webassemblyjs/helper-numbers 1.11.1 间接依赖 npm
@babel/plugin-syntax-class-properties 7.12.13 间接依赖 npm
@types/jest 27.5.2 直接依赖 npm
regexpp 3.2.0 间接依赖 npm
tr46 0.0.3 间接依赖 npm
@octokit/request-error 2.1.0 间接依赖 npm
is-wsl 1.1.0 间接依赖 npm
exit 0.1.2 间接依赖 npm
maxmin 3.0.0 间接依赖 npm
continuable-cache 0.3.1 间接依赖 npm
websocket-extensions 0.1.4 间接依赖 npm
@babel/helper-module-imports 7.18.6 间接依赖 npm
to-regex 3.0.2 间接依赖 npm
is-number 7.0.0 间接依赖 npm
@webassemblyjs/helper-wasm-bytecode 1.11.1 间接依赖 npm
ts-loader 9.4.1 直接依赖 npm
@babel/plugin-syntax-import-meta 7.10.4 间接依赖 npm
makeerror 1.0.12 间接依赖 npm
graceful-fs 4.2.10 间接依赖 npm
array-unique 0.3.2 间接依赖 npm
@babel/highlight 7.18.6 间接依赖 npm
shelljs 0.8.5 间接依赖 npm
@jest/types 27.5.1 间接依赖 npm
typescript 4.8.4 直接依赖 npm
statuses 2.0.1 间接依赖 npm
@tauri-apps/cli-win32-x64-msvc 1.1.1 直接依赖 npm
chokidar 3.5.3 间接依赖 npm
type-fest 0.8.1 间接依赖 npm
esquery 1.4.0 间接依赖 npm
source-map-resolve 0.5.3 间接依赖 npm
is-relative 1.0.0 间接依赖 npm
node-fetch 2.6.7 间接依赖 npm
clean-stack 2.2.0 间接依赖 npm
micromatch 3.1.10 间接依赖 npm
tree-kill 1.2.2 间接依赖 npm
ms 2.1.2 间接依赖 npm
interpret 2.2.0 间接依赖 npm
safe-buffer 5.1.2 间接依赖 npm
jest-jasmine2 27.5.1 间接依赖 npm
@types/minimatch 5.1.2 间接依赖 npm
@webpack-cli/info 1.5.0 间接依赖 npm
send 0.18.0 间接依赖 npm
braces 2.3.2 间接依赖 npm
is-windows 1.0.2 间接依赖 npm
supports-color 2.0.0 间接依赖 npm
globby 9.2.0 间接依赖 npm
eslint 8.26.0 直接依赖 npm
jest-environment-jsdom 27.5.1 间接依赖 npm
binary-extensions 2.2.0 间接依赖 npm
@jridgewell/gen-mapping 0.3.2 间接依赖 npm
fastest-levenshtein 1.0.16 间接依赖 npm
file-entry-cache 6.0.1 间接依赖 npm
whatwg-mimetype 2.3.0 间接依赖 npm
faye-websocket 0.10.0 间接依赖 npm
bindings 1.5.0 间接依赖 npm
arr-flatten 1.1.0 间接依赖 npm
@nodelib/fs.stat 2.0.5 间接依赖 npm
extend-shallow 2.0.1 间接依赖 npm
async 2.6.4 间接依赖 npm
@types/babel__generator 7.6.4 间接依赖 npm
@bcoe/v8-coverage 0.2.3 间接依赖 npm
immutable 4.1.0 间接依赖 npm
detect-file 1.0.0 间接依赖 npm
expand-brackets 2.1.4 间接依赖 npm
readdirp 3.6.0 间接依赖 npm
jest-pnp-resolver 1.2.2 间接依赖 npm
@jest/reporters 27.5.1 间接依赖 npm
yauzl 2.10.0 间接依赖 npm
findup-sync 4.0.0 间接依赖 npm
livereload-js 2.4.0 间接依赖 npm
async 3.2.4 间接依赖 npm
postinstall-postinstall 2.1.0 直接依赖 npm
emittery 0.8.1 间接依赖 npm
test-exclude 6.0.0 间接依赖 npm
clone-deep 4.0.1 间接依赖 npm
@typescript-eslint/parser 5.41.0 直接依赖 npm
@tauri-apps/cli-win32-ia32-msvc 1.1.1 直接依赖 npm
concurrently 6.5.1 直接依赖 npm
cache-base 1.0.1 间接依赖 npm
@types/json-schema 7.0.11 间接依赖 npm
on-finished 2.3.0 间接依赖 npm
@jest/source-map 27.5.1 间接依赖 npm
@babel/code-frame 7.18.6 间接依赖 npm
@webpack-cli/serve 1.7.0 间接依赖 npm
color-name 1.1.3 间接依赖 npm
istanbul-lib-report 3.0.0 间接依赖 npm
extend 3.0.2 间接依赖 npm
balanced-match 1.0.2 间接依赖 npm
is-descriptor 1.0.2 间接依赖 npm
@webassemblyjs/floating-point-hex-parser 1.11.1 间接依赖 npm
globule 1.3.4 间接依赖 npm
deepmerge 4.2.2 间接依赖 npm
colorette 2.0.19 间接依赖 npm
normalize-path 2.1.1 间接依赖 npm
proxy-middleware 0.15.0 间接依赖 npm
is-core-module 2.11.0 间接依赖 npm
ssf 0.11.2 间接依赖 npm
get-intrinsic 1.1.3 间接依赖 npm
@tauri-apps/cli-linux-arm-gnueabihf 1.1.1 直接依赖 npm
@types/yargs-parser 21.0.0 间接依赖 npm
minimatch 3.1.2 间接依赖 npm
is-plain-object 2.0.4 间接依赖 npm
os-tmpdir 1.0.2 间接依赖 npm
apache-crypt 1.2.6 间接依赖 npm
char-regex 1.0.2 间接依赖 npm
strip-ansi 4.0.0 间接依赖 npm
mime-types 2.1.35 间接依赖 npm
ee-first 1.1.1 间接依赖 npm
nanomatch 1.2.13 间接依赖 npm
abab 2.0.6 间接依赖 npm
websocket-driver 0.7.4 间接依赖 npm
lines-and-columns 1.2.4 间接依赖 npm
extend-shallow 3.0.2 间接依赖 npm
inherits 2.0.3 间接依赖 npm
jest-docblock 27.5.1 间接依赖 npm
lru-cache 6.0.0 间接依赖 npm
@webassemblyjs/helper-wasm-section 1.11.1 间接依赖 npm
jest-serializer 27.5.1 间接依赖 npm
camelcase 5.3.1 间接依赖 npm
strip-ansi 3.0.1 间接依赖 npm
@babel/plugin-syntax-optional-catch-binding 7.8.3 间接依赖 npm
electron-to-chromium 1.4.284 间接依赖 npm
@types/stack-utils 2.0.1 间接依赖 npm
escape-html 1.0.3 间接依赖 npm
gzip-size 5.1.1 间接依赖 npm
http-errors 2.0.0 间接依赖 npm
uglify-js 3.17.4 间接依赖 npm
ignore 5.2.0 间接依赖 npm
cli-boxes 1.0.0 间接依赖 npm
is-glob 3.1.0 间接依赖 npm
fast-glob 3.2.12 间接依赖 npm
jest-cli 27.5.1 间接依赖 npm
@jest/test-result 27.5.1 间接依赖 npm
@octokit/plugin-rest-endpoint-methods 5.16.2 间接依赖 npm
http-parser-js 0.5.8 间接依赖 npm
locate-path 5.0.0 间接依赖 npm
upath 1.2.0 间接依赖 npm
kleur 3.0.3 间接依赖 npm
js-yaml 3.14.1 间接依赖 npm
@jridgewell/trace-mapping 0.3.17 间接依赖 npm
stack-utils 2.0.5 间接依赖 npm
debug 2.6.9 间接依赖 npm
@babel/helper-function-name 7.19.0 间接依赖 npm
p-locate 4.1.0 间接依赖 npm
jest 27.5.1 直接依赖 npm
schema-utils 3.1.1 间接依赖 npm
validate-npm-package-license 3.0.4 间接依赖 npm
source-map 0.5.7 间接依赖 npm
@crowdin/cli 3.9.0 直接依赖 npm
isexe 2.0.0 间接依赖 npm
faye-websocket 0.11.4 间接依赖 npm
@typescript-eslint/type-utils 5.41.0 间接依赖 npm
color-convert 1.9.3 间接依赖 npm
mime 1.6.0 间接依赖 npm
@octokit/endpoint 6.0.12 间接依赖 npm
@tauri-apps/cli-linux-x64-gnu 1.1.1 直接依赖 npm
grunt-legacy-util 2.0.1 间接依赖 npm
uri-js 4.4.1 间接依赖 npm
@types/yargs 16.0.4 间接依赖 npm
global-modules 1.0.0 间接依赖 npm
@discoveryjs/json-ext 0.5.7 间接依赖 npm
to-regex-range 2.1.1 间接依赖 npm
range-parser 1.2.1 间接依赖 npm
eslint-scope 5.1.1 间接依赖 npm
@jest/test-sequencer 27.5.1 间接依赖 npm
@webassemblyjs/wasm-gen 1.11.1 间接依赖 npm
@babel/plugin-syntax-optional-chaining 7.8.3 间接依赖 npm
callsites 3.1.0 间接依赖 npm
escalade 3.1.1 间接依赖 npm
html-encoding-sniffer 2.0.1 间接依赖 npm
estraverse 5.3.0 间接依赖 npm
mkdirp 1.0.4 间接依赖 npm
nested-error-stacks 2.1.1 间接依赖 npm
object-assign 4.1.1 间接依赖 npm
parse-passwd 1.0.0 间接依赖 npm
@jridgewell/source-map 0.3.2 间接依赖 npm
source-map 0.6.1 直接依赖 npm
jest-validate 27.5.1 间接依赖 npm
picomatch 2.3.1 间接依赖 npm
prettier 2.5.1 直接依赖 npm
once 1.4.0 间接依赖 npm
minizlib 1.3.3 间接依赖 npm
p-map 3.0.0 间接依赖 npm
tiny-lr 1.1.1 间接依赖 npm
pify 4.0.1 间接依赖 npm
rimraf 3.0.2 间接依赖 npm
@jest/transform 27.5.1 间接依赖 npm
whatwg-url 8.7.0 间接依赖 npm
ansi-escapes 4.3.2 间接依赖 npm
supports-color 7.2.0 间接依赖 npm
encodeurl 1.0.2 间接依赖 npm
@typescript-eslint/types 5.41.0 间接依赖 npm
https-proxy-agent 5.0.1 间接依赖 npm
buffer 6.0.3 直接依赖 npm
@octokit/graphql 4.8.0 间接依赖 npm
babel-plugin-jest-hoist 27.5.1 间接依赖 npm
is-typedarray 1.0.0 间接依赖 npm
path-parse 1.0.7 间接依赖 npm
fast-deep-equal 3.1.3 间接依赖 npm
inflight 1.0.6 间接依赖 npm
github-username 6.0.0 间接依赖 npm
levn 0.4.1 间接依赖 npm
iconv-lite 0.4.24 间接依赖 npm
jest-resolve 27.5.1 间接依赖 npm
readable-stream 2.3.7 间接依赖 npm
colors 1.4.0 间接依赖 npm
sort-keys 4.2.0 间接依赖 npm
json-schema-traverse 0.4.1 间接依赖 npm
resolve-from 4.0.0 间接依赖 npm
fill-range 4.0.0 间接依赖 npm
jsdom 16.7.0 间接依赖 npm
gensync 1.0.0-beta.2 间接依赖 npm
@babel/plugin-syntax-json-strings 7.8.3 间接依赖 npm
inherits 2.0.4 间接依赖 npm
split 0.3.3 间接依赖 npm
jest-haste-map 27.5.1 间接依赖 npm
jest-get-type 27.5.1 间接依赖 npm
@types/marked 4.0.7 直接依赖 npm
@webassemblyjs/utf8 1.11.1 间接依赖 npm
http-errors 1.6.3 间接依赖 npm
grunt-known-options 2.0.0 间接依赖 npm
node-int64 0.4.0 间接依赖 npm
fsevents 2.3.2 直接依赖 npm
@types/semver 7.3.13 间接依赖 npm
glob 7.2.3 间接依赖 npm
opn 6.0.0 间接依赖 npm
hooker 0.2.3 间接依赖 npm
osenv 0.1.5 间接依赖 npm
fb-watchman 2.0.2 间接依赖 npm
word-wrap 1.2.3 间接依赖 npm
babel-jest 27.5.1 间接依赖 npm
component-emitter 1.3.0 间接依赖 npm
escape-string-regexp 2.0.0 间接依赖 npm
v8-to-istanbul 8.1.1 间接依赖 npm
@webpack-cli/configtest 1.2.0 间接依赖 npm
@types/babel__template 7.4.1 间接依赖 npm
@babel/plugin-syntax-async-generators 7.8.4 间接依赖 npm
punycode 2.1.1 间接依赖 npm
deep-is 0.1.4 间接依赖 npm
event-stream 3.3.4 间接依赖 npm
@tauri-apps/cli-darwin-arm64 1.1.1 直接依赖 npm
is-extglob 2.1.1 间接依赖 npm
import-local 3.1.0 间接依赖 npm
fs-minipass 1.2.7 间接依赖 npm
duplexer 0.1.2 间接依赖 npm
node-watch 0.7.3 直接依赖 npm
tough-cookie 4.1.2 间接依赖 npm
istanbul-lib-instrument 5.2.1 间接依赖 npm
from 0.1.7 间接依赖 npm
slash 2.0.0 间接依赖 npm
http-proxy-agent 4.0.1 间接依赖 npm
wrappy 1.0.2 间接依赖 npm
string-length 4.0.2 间接依赖 npm
dedent 0.7.0 间接依赖 npm
@jest/core 27.5.1 间接依赖 npm
js-tokens 4.0.0 间接依赖 npm
istanbul-lib-source-maps 4.0.1 间接依赖 npm
estraverse 4.3.0 间接依赖 npm
findup-sync 0.3.0 间接依赖 npm
eslint-utils 3.0.0 间接依赖 npm
string-template 0.2.1 间接依赖 npm
argparse 1.0.10 间接依赖 npm
before-after-hook 2.2.3 间接依赖 npm
ajv 6.12.6 间接依赖 npm
sprintf-js 1.1.2 间接依赖 npm
yargs 16.2.0 间接依赖 npm
jest-watcher 27.5.1 间接依赖 npm
spawn-command 0.0.2-1 间接依赖 npm
detect-newline 3.1.0 间接依赖 npm
@typescript-eslint/scope-manager 5.41.0 间接依赖 npm
jest-runner 27.5.1 间接依赖 npm
debug 3.2.7 间接依赖 npm
commander 7.2.0 间接依赖 npm
fill-range 7.0.1 间接依赖 npm
adler-32 1.2.0 间接依赖 npm
execa 5.1.1 间接依赖 npm
es-module-lexer 0.9.3 间接依赖 npm
jsesc 2.5.2 间接依赖 npm
p-timeout 3.2.0 间接依赖 npm
statuses 1.5.0 间接依赖 npm
side-channel 1.0.4 间接依赖 npm
snapdragon-node 2.1.1 间接依赖 npm
cjs-module-lexer 1.2.2 间接依赖 npm
acorn-jsx 5.3.2 间接依赖 npm
function-bind 1.1.1 间接依赖 npm
negotiator 0.6.3 间接依赖 npm
minimist 1.2.7 间接依赖 npm
ansi-regex 2.1.1 间接依赖 npm
frac 1.1.2 间接依赖 npm
is-potential-custom-element-name 1.0.1 间接依赖 npm
fd-slicer 1.1.0 间接依赖 npm
is-binary-path 1.0.1 间接依赖 npm
locate-path 6.0.0 间接依赖 npm
@mrmlnc/readdir-enhanced 2.2.1 间接依赖 npm
interpret 1.4.0 间接依赖 npm
assign-symbols 1.0.0 间接依赖 npm
jest-util 27.5.1 间接依赖 npm
@babel/helper-compilation-targets 7.20.0 间接依赖 npm
@types/babel__core 7.1.19 间接依赖 npm
watchpack 2.4.0 间接依赖 npm
esrecurse 4.3.0 间接依赖 npm
dateformat 3.0.3 间接依赖 npm
source-map-url 0.4.1 间接依赖 npm
react-is 17.0.2 间接依赖 npm
terser 5.15.1 间接依赖 npm
@webassemblyjs/wasm-parser 1.11.1 间接依赖 npm
safe-json-parse 1.0.1 间接依赖 npm
cssom 0.4.4 间接依赖 npm
json-parse-even-better-errors 2.3.1 间接依赖 npm
sax 1.1.6 间接依赖 npm
jest-each 27.5.1 间接依赖 npm
terser-webpack-plugin 5.3.6 间接依赖 npm
indent-string 4.0.0 间接依赖 npm
p-locate 5.0.0 间接依赖 npm
@babel/helper-hoist-variables 7.18.6 间接依赖 npm
ws 7.5.9 间接依赖 npm
@babel/helper-module-transforms 7.19.6 间接依赖 npm
@types/prettier 2.7.1 间接依赖 npm
resolve-url 0.2.1 间接依赖 npm
mammoth 1.5.1 直接依赖 npm
map-stream 0.1.0 间接依赖 npm
path-type 4.0.0 间接依赖 npm
path-root 0.1.1 间接依赖 npm
node-releases 2.0.6 间接依赖 npm
basic-auth 2.0.1 间接依赖 npm
@typescript-eslint/visitor-keys 5.41.0 间接依赖 npm
espree 9.4.0 间接依赖 npm
color-convert 2.0.1 间接依赖 npm
argparse 2.0.1 间接依赖 npm
pend 1.2.0 间接依赖 npm
caniuse-lite 1.0.30001427 间接依赖 npm
lodash.merge 4.6.2 间接依赖 npm
find-up 5.0.0 间接依赖 npm
body 5.1.0 间接依赖 npm
import-fresh 3.3.0 间接依赖 npm
to-regex-range 5.0.1 间接依赖 npm
eventemitter2 0.4.14 间接依赖 npm
source-map-js 1.0.2 间接依赖 npm
semver 6.3.0 间接依赖 npm
deprecation 2.3.1 间接依赖 npm
decimal.js 10.4.2 间接依赖 npm
throat 6.0.1 间接依赖 npm
jest-runtime 27.5.1 间接依赖 npm
tslib 1.14.1 间接依赖 npm
jest-regex-util 27.5.1 间接依赖 npm
fragment-cache 0.2.1 间接依赖 npm
husky 7.0.4 直接依赖 npm
yosay 2.0.2 直接依赖 npm
raw-body 1.1.7 间接依赖 npm
@babel/core 7.19.6 间接依赖 npm
remove-trailing-separator 1.1.0 间接依赖 npm
@types/istanbul-reports 3.0.1 间接依赖 npm
strip-ansi 6.0.1 间接依赖 npm
grunt-legacy-log-utils 2.1.0 间接依赖 npm
decode-uri-component 0.2.0 间接依赖 npm
path-dirname 1.0.2 间接依赖 npm
setprototypeof 1.2.0 间接依赖 npm
imurmurhash 0.1.4 间接依赖 npm
codepage 1.15.0 间接依赖 npm
is-extendable 0.1.1 间接依赖 npm
whatwg-encoding 1.0.5 间接依赖 npm
chalk 1.1.3 间接依赖 npm
dingbat-to-unicode 1.0.1 间接依赖 npm
pako 1.0.11 间接依赖 npm
@webassemblyjs/wast-printer 1.11.1 间接依赖 npm
cross-spawn 7.0.3 间接依赖 npm
supports-preserve-symlinks-flag 1.0.0 间接依赖 npm
webpack-cli 4.10.0 直接依赖 npm
pkg-dir 4.2.0 间接依赖 npm
@babel/compat-data 7.20.0 间接依赖 npm
strip-json-comments 3.1.1 间接依赖 npm
text-table 0.2.0 间接依赖 npm
concat-map 0.0.1 间接依赖 npm
resolve-from 5.0.0 间接依赖 npm
through 2.3.8 间接依赖 npm
buffer-from 1.1.2 间接依赖 npm
pify 3.0.0 间接依赖 npm
npm-run-path 4.0.1 间接依赖 npm
color-name 1.1.4 间接依赖 npm
optionator 0.9.1 间接依赖 npm
dir-glob 3.0.1 间接依赖 npm
@babel/parser 7.20.0 间接依赖 npm
make-dir 3.1.0 间接依赖 npm
jest-matcher-utils 27.5.1 间接依赖 npm
grunt-contrib-uglify 5.2.2 直接依赖 npm
signal-exit 3.0.7 间接依赖 npm
eslint-scope 7.1.1 间接依赖 npm
destroy 1.2.0 间接依赖 npm
word 0.3.0 间接依赖 npm
unix-crypt-td-js 1.1.4 间接依赖 npm
cliui 7.0.4 间接依赖 npm
cp-file 7.0.0 间接依赖 npm
typedarray-to-buffer 3.1.5 间接依赖 npm
safer-buffer 2.1.2 间接依赖 npm
global-prefix 1.0.2 间接依赖 npm
jszip 3.10.1 间接依赖 npm
@babel/helper-split-export-declaration 7.18.6 间接依赖 npm
spdx-correct 3.1.1 间接依赖 npm
randombytes 2.1.0 间接依赖 npm
escodegen 2.0.0 间接依赖 npm
morgan 1.10.0 间接依赖 npm
@webassemblyjs/helper-api-error 1.11.1 间接依赖 npm
picocolors 1.0.0 间接依赖 npm
option 0.2.4 间接依赖 npm
object-inspect 1.12.2 间接依赖 npm
for-in 1.0.2 间接依赖 npm
@babel/helper-string-parser 7.19.4 间接依赖 npm
json5 2.2.1 间接依赖 npm
@octokit/request 5.6.3 间接依赖 npm
@webassemblyjs/ieee754 1.11.1 间接依赖 npm
prompts 2.4.2 间接依赖 npm
clean-css 5.3.1 间接依赖 npm
@nodelib/fs.walk 1.2.8 间接依赖 npm
nopt 4.0.3 间接依赖 npm
safe-buffer 5.2.1 间接依赖 npm
is-fullwidth-code-point 3.0.0 间接依赖 npm
queue-microtask 1.2.3 间接依赖 npm
escape-string-regexp 4.0.0 间接依赖 npm
is-path-inside 3.0.3 间接依赖 npm
junk 3.1.0 间接依赖 npm
jest-environment-node 27.5.1 间接依赖 npm
bs-logger 0.2.6 间接依赖 npm
arrify 2.0.1 间接依赖 npm
live-server 1.2.2 直接依赖 npm
getobject 1.0.2 间接依赖 npm
semver 5.7.1 间接依赖 npm
camelcase 6.3.0 间接依赖 npm
number-is-nan 1.0.1 间接依赖 npm
@jest/globals 27.5.1 间接依赖 npm
@babel/traverse 7.20.0 间接依赖 npm
adler-32 1.3.1 间接依赖 npm
code-point-at 1.1.0 间接依赖 npm
esprima 4.0.1 间接依赖 npm
@tauri-apps/cli-linux-arm64-gnu 1.1.1 直接依赖 npm
depd 1.1.2 间接依赖 npm
@webassemblyjs/wasm-edit 1.11.1 间接依赖 npm
acorn-import-assertions 1.8.0 间接依赖 npm
ieee754 1.2.1 间接依赖 npm
@typescript-eslint/eslint-plugin 5.41.0 直接依赖 npm
reusify 1.0.4 间接依赖 npm
@babel/generator 7.20.0 间接依赖 npm
pretty-format 27.5.1 间接依赖 npm
split-string 3.1.0 间接依赖 npm
file-uri-to-path 1.0.0 间接依赖 npm
array-union 2.1.0 间接依赖 npm
@babel/helper-plugin-utils 7.19.0 间接依赖 npm
p-limit 3.1.0 间接依赖 npm
whatwg-url 5.0.0 间接依赖 npm
is-extendable 1.0.1 间接依赖 npm
human-signals 2.1.0 间接依赖 npm
wrap-ansi 2.1.0 间接依赖 npm
glob-parent 6.0.2 间接依赖 npm
@types/node 18.11.8 间接依赖 npm
has-symbols 1.0.3 间接依赖 npm
make-error 1.3.6 间接依赖 npm
anymatch 2.0.0 间接依赖 npm
is-descriptor 0.1.6 间接依赖 npm
highlight.js 11.6.0 直接依赖 npm
taketalk 1.0.0 间接依赖 npm
p-all 2.1.0 间接依赖 npm
expand-tilde 2.0.2 间接依赖 npm
micromatch 4.0.5 间接依赖 npm
lop 0.4.1 间接依赖 npm
jest-snapshot 27.5.1 间接依赖 npm
strip-final-newline 2.0.0 间接依赖 npm
@types/babel__traverse 7.18.2 间接依赖 npm
grunt-legacy-log 3.0.0 间接依赖 npm
get-package-type 0.1.0 间接依赖 npm
terminal-link 2.1.1 间接依赖 npm
@tauri-apps/cli-linux-arm64-musl 1.1.1 直接依赖 npm
js-yaml 4.1.0 间接依赖 npm
http-auth 3.1.3 间接依赖 npm
jest-resolve-dependencies 27.5.1 间接依赖 npm
jest-diff 27.5.1 间接依赖 npm
get-caller-file 2.0.5 间接依赖 npm
on-headers 1.0.2 间接依赖 npm
jest-leak-detector 27.5.1 间接依赖 npm
error 7.2.1 间接依赖 npm
@babel/template 7.18.10 间接依赖 npm
which 2.0.2 间接依赖 npm
use 3.1.1 间接依赖 npm
is-plain-object 5.0.0 间接依赖 npm
p-filter 2.1.0 间接依赖 npm
doctrine 3.0.0 间接依赖 npm
wrap-ansi 7.0.0 间接依赖 npm
fsevents 1.2.13 直接依赖 npm
expect 27.5.1 间接依赖 npm
@webassemblyjs/leb128 1.11.1 间接依赖 npm
@babel/helper-environment-visitor 7.18.9 间接依赖 npm
saxes 5.0.1 间接依赖 npm
events 3.3.0 间接依赖 npm
@jest/console 27.5.1 间接依赖 npm
type-fest 0.20.2 间接依赖 npm
istanbul-reports 3.1.5 间接依赖 npm
co 4.6.0 间接依赖 npm
figures 3.2.0 间接依赖 npm
p-map 2.1.0 间接依赖 npm
underscore.string 3.3.6 间接依赖 npm
html-escaper 2.0.2 间接依赖 npm
form-data 3.0.1 间接依赖 npm
istanbul-lib-coverage 3.2.0 间接依赖 npm
globals 11.12.0 间接依赖 npm
regex-not 1.0.2 间接依赖 npm
diff-sequences 27.5.1 间接依赖 npm
repeat-string 1.6.1 间接依赖 npm
resolve 1.22.1 间接依赖 npm
@octokit/rest 18.12.0 间接依赖 npm
natural-compare 1.4.0 间接依赖 npm
flat-cache 3.0.4 间接依赖 npm
base 0.11.2 间接依赖 npm
eslint-visitor-keys 2.1.0 间接依赖 npm
jest-worker 27.5.1 间接依赖 npm
path-exists 4.0.0 间接依赖 npm
underscore 1.13.6 间接依赖 npm
write-file-atomic 3.0.3 间接依赖 npm
printj 1.1.2 间接依赖 npm
anymatch 3.1.2 间接依赖 npm
connect 3.7.0 间接依赖 npm
webidl-conversions 6.1.0 间接依赖 npm
@babel/types 7.20.0 间接依赖 npm
jest-message-util 27.5.1 间接依赖 npm
symbol-tree 3.2.4 间接依赖 npm
core-util-is 1.0.3 间接依赖 npm
arr-diff 4.0.0 间接依赖 npm
toidentifier 1.0.1 间接依赖 npm
@jridgewell/sourcemap-codec 1.4.14 间接依赖 npm
array-union 1.0.2 间接依赖 npm
webpack 5.74.0 直接依赖 npm
is-arrayish 0.2.1 间接依赖 npm
yallist 3.1.1 间接依赖 npm
repeat-element 1.1.4 间接依赖 npm
clean-css-cli 5.6.1 直接依赖 npm
yeoman-generator 5.7.0 直接依赖 npm
tar 4.4.19 间接依赖 npm
rechoir 0.6.2 间接依赖 npm
@jest/fake-timers 27.5.1 间接依赖 npm
webpack-merge 5.8.0 间接依赖 npm
nan 2.17.0 间接依赖 npm
@nodelib/fs.scandir 2.1.5 间接依赖 npm
cors 2.8.5 间接依赖 npm
path-root-regex 0.1.2 间接依赖 npm
has-ansi 2.0.0 间接依赖 npm
convert-source-map 1.9.0 间接依赖 npm
fined 1.2.0 间接依赖 npm
walker 1.0.8 间接依赖 npm
@humanwhocodes/module-importer 1.0.1 间接依赖 npm
xmlbuilder 10.1.1 间接依赖 npm
merge-stream 2.0.0 间接依赖 npm
on-finished 2.4.1 间接依赖 npm
commander 2.20.3 间接依赖 npm
jest-mock 27.5.1 间接依赖 npm
duck 0.1.12 间接依赖 npm
ajv-keywords 3.5.2 间接依赖 npm
command-exists-promise 2.0.2 间接依赖 npm
utils-merge 1.0.1 间接依赖 npm
ansi-styles 4.3.0 间接依赖 npm
snapdragon-util 3.0.1 间接依赖 npm
strip-bom 4.0.0 间接依赖 npm
resolve.exports 1.1.0 间接依赖 npm
onetime 5.1.2 间接依赖 npm
normalize-path 3.0.0 间接依赖 npm
njre 0.2.0 间接依赖 npm
@octokit/core 3.6.0 间接依赖 npm
shebang-regex 3.0.0 间接依赖 npm
universal-user-agent 6.0.0 间接依赖 npm
dargs 7.0.0 间接依赖 npm
is-fullwidth-code-point 1.0.0 间接依赖 npm
cssstyle 2.3.0 间接依赖 npm
chalk 4.1.2 间接依赖 npm
js-sdsl 4.1.5 间接依赖 npm
@types/eslint-scope 3.7.4 间接依赖 npm
babel-preset-jest 27.5.1 间接依赖 npm
pirates 4.0.5 间接依赖 npm
readdirp 2.2.1 间接依赖 npm
extglob 2.0.4 间接依赖 npm
dir-glob 2.2.2 间接依赖 npm
string_decoder 0.10.31 间接依赖 npm
@jridgewell/gen-mapping 0.1.1 间接依赖 npm
bluebird 3.4.7 间接依赖 npm
@babel/plugin-syntax-logical-assignment-operators 7.10.4 间接依赖 npm
xlsx 0.17.5 直接依赖 npm
wmf 1.0.2 间接依赖 npm
fast-levenshtein 2.0.6 间接依赖 npm
tapable 2.2.1 间接依赖 npm
@webassemblyjs/wasm-opt 1.11.1 间接依赖 npm
homedir-polyfill 1.0.3 间接依赖 npm
is-number 3.0.0 间接依赖 npm
array-each 1.0.1 间接依赖 npm
call-me-maybe 1.0.1 间接依赖 npm
source-map-support 0.5.21 间接依赖 npm
string-width 2.1.1 间接依赖 npm
depd 2.0.0 间接依赖 npm
binary-extensions 1.13.1 间接依赖 npm
define-property 0.2.5 间接依赖 npm
supports-color 8.1.1 间接依赖 npm
ci-info 3.5.0 间接依赖 npm
@types/istanbul-lib-coverage 2.0.4 间接依赖 npm
is-generator-fn 2.1.0 间接依赖 npm
@types/eslint 8.4.9 间接依赖 npm
unpipe 1.0.0 间接依赖 npm
isarray 1.0.0 间接依赖 npm
cpy 8.1.2 直接依赖 npm
has-glob 1.0.0 间接依赖 npm
glob 7.1.7 间接依赖 npm
glob-to-regexp 0.4.1 间接依赖 npm
tsutils 3.21.0 间接依赖 npm
mixin-deep 1.3.2 间接依赖 npm
path-is-absolute 1.0.1 间接依赖 npm
yocto-queue 0.1.0 间接依赖 npm
@types/normalize-package-data 2.4.1 间接依赖 npm
process-nextick-args 2.0.1 间接依赖 npm
@babel/helper-simple-access 7.19.4 间接依赖 npm
require-directory 2.1.1 间接依赖 npm
buffer-crc32 0.2.13 间接依赖 npm
is-stream 2.0.1 间接依赖 npm
shebang-command 2.0.0 间接依赖 npm
hosted-git-info 2.8.9 间接依赖 npm
finalhandler 1.1.2 间接依赖 npm
@babel/plugin-syntax-object-rest-spread 7.8.3 间接依赖 npm
@ampproject/remapping 2.2.0 间接依赖 npm
v8flags 3.2.0 间接依赖 npm
shallow-clone 3.0.1 间接依赖 npm
wildcard 2.0.0 间接依赖 npm
@types/graceful-fs 4.1.5 间接依赖 npm
liftup 3.0.1 间接依赖 npm
slash 3.0.0 间接依赖 npm
object.map 1.0.1 间接依赖 npm
@babel/helpers 7.20.0 间接依赖 npm
@babel/plugin-syntax-typescript 7.20.0 间接依赖 npm
json-stable-stringify-without-jsonify 1.0.1 间接依赖 npm
batch 0.6.1 间接依赖 npm
ansi-styles 5.2.0 间接依赖 npm
isobject 3.0.1 间接依赖 npm
nwsapi 2.2.2 间接依赖 npm
@babel/plugin-syntax-bigint 7.8.3 间接依赖 npm
immediate 3.0.6 间接依赖 npm
@octokit/auth-token 2.5.0 间接依赖 npm
normalize-package-data 2.5.0 间接依赖 npm
gaze 1.1.3 间接依赖 npm
prelude-ls 1.2.1 间接依赖 npm
nopt 3.0.6 间接依赖 npm
error-ex 1.3.2 间接依赖 npm
@sinonjs/fake-timers 8.1.0 间接依赖 npm
(0)
上一篇 2023年12月1日
下一篇 2023年12月1日

相关推荐

  • HubSpot/moxie 软件分析报告

    基础信息 项目名称:HubSpot/moxie 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721265214610821120/1728308983030042624 此报告由Murphysec提供 漏洞列表…

    软件分析 2023年11月25日
    0
  • apgzs/cool-admin-api 软件分析报告

    基础信息 项目名称:apgzs/cool-admin-api 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1721945890172215296/1721945890209964032 此报告由Murphysec…

    软件分析 2023年11月8日
    0
  • evankarageorgos/hue 软件分析报告

    基础信息 项目名称:evankarageorgos/hue 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717561901248544768/1717561901391151104 此报告由Murphysec提…

    软件分析 2023年10月26日
    0
  • danieljfarrell/DFColorWell 软件分析报告

    基础信息 项目名称:danieljfarrell/DFColorWell 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1717030256576872448/1717030257470259200 此报告由Mur…

    软件分析 2023年10月25日
    0
  • google/j2objc 软件分析报告

    基础信息 项目名称:google/j2objc 项目徽章: 仓库地址:https://github.com/pterodactyl/panel 检测报告地址:https://www.murphysec.com/console/report/1718250652438233088/1718250652475981824 此报告由Murphysec提供 漏洞列表…

    软件分析 2023年10月28日
    0